> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdupdate.md).

# Table$update

### Table$<mark style="color:purple;">update</mark>(*name=NULL, description=NULL, upload\_merge\_strategy=NULL*) → self

Update attributes on a table

### **Parameters:**

**`name` :&#x20;*****str, default NULL*** \
If specified, will rename the table. All table names (case-insensitive, ignoring non-word characters and spaces) must be unique within their containing dataset or workflow.

**`description` :&#x20;*****str, default NULL***\
If specified, update the table description to the value provided.

**`upload_merge_strategy` :&#x20;*****str {"append"*****&#x20;|&#x20;*****"replace"}*****&#x20;|&#x20;*****NULL, default NULL***\
Can only be updated on an unreleased table. If specified, defines how uploads to the table should apply in this version; that is, whether uploads should be appended to the previous version of the table, or replace it (this will have no effect for the first version as both strategies yield the same result). It will also define the default strategy for any versions moving forward.

### **Returns:**&#x20;

**self (a** [**Table**](/api/client-libraries/redivis-r/reference/table.md)**)**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/table/tableusdupdate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
